import path from 'path';
import { resolveResource } from './resolve-resource';
import { checkRuntimeEnv } from './declare_runtime_env';

const getEntryOptions = resolveConfig => {
  var _resolveResource;

  const activeRuntimeModule = ((_resolveResource = resolveResource(path.join(resolveConfig.runtime.module, 'lib', 'index.js'), {
    returnResolved: true
  })) !== null && _resolveResource !== void 0 ? _resolveResource : {
    result: null
  }).result;
  const activeRuntimeOptions = JSON.stringify(resolveConfig.runtime.options, (key, value) => {
    if (checkRuntimeEnv(value)) {
      var _process$env$String;

      return (_process$env$String = process.env[String(value)]) !== null && _process$env$String !== void 0 ? _process$env$String : value.defaultValue;
    }

    return value;
  }, 2);
  const runtimeEntry = path.resolve(process.cwd(), path.join(resolveConfig.distDir, './common/local-entry/local-entry.js'));
  return {
    activeRuntimeModule,
    activeRuntimeOptions,
    runtimeEntry
  };
};

export default getEntryOptions;
//# sourceMappingURL=get_entry_options.js.map