"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const isNotFound = error => (error === null || error === void 0 ? void 0 : error.code) === 'ERR_MODULE_NOT_FOUND' || (error === null || error === void 0 ? void 0 : error.code) === 'MODULE_NOT_FOUND';

const adjustResolveConfig = async resolveConfig => {
  let adjustResolveConfigPath;

  try {
    adjustResolveConfigPath = require.resolve(`${resolveConfig.runtime.module}/compile-time`);
  } catch (error) {
    if (!isNotFound(error)) {
      throw error;
    }

    adjustResolveConfigPath = require.resolve(_path.default.resolve(process.cwd(), `${resolveConfig.runtime.module}/compile-time`));
  }

  const {
    adjustResolveConfig
  } = await Promise.resolve(`${adjustResolveConfigPath}`).then(s => _interopRequireWildcard(require(s)));
  await adjustResolveConfig(resolveConfig);
};

var _default = adjustResolveConfig;
exports.default = _default;
//# sourceMappingURL=adjust-resolve-config.js.map