"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@resolve-js/core");

var _declare_runtime_env = require("../declare_runtime_env");

const importRootPath = ({
  resolveConfig,
  isClient
}) => {
  let rootPath = resolveConfig.rootPath;
  const exports = [];

  if (!(0, _declare_runtime_env.checkRuntimeEnv)(rootPath)) {
    if (!(0, _core.validatePath)(rootPath, {
      allowEmptyPath: true
    })) {
      throw new Error(`Incorrect options.rootPath = "${rootPath}"\nValue must be part of the URL, which is the application's subdirectory`);
    }

    rootPath = encodeURI(rootPath);
    exports.push(`const rootPath = ${JSON.stringify(rootPath)}`, ``, `export default rootPath`);
  } else {
    if (!isClient) {
      exports.push(`import { validatePath } from '@resolve-js/core'`);
    }

    exports.push(`let rootPath = ${(0, _declare_runtime_env.injectRuntimeEnv)(rootPath, isClient)}`);

    if (!isClient) {
      exports.push(`if (!validatePath(rootPath, { allowEmptyPath: true })) {
          throw new Error(
            \`Incorrect options.rootPath = "\${
              rootPath
            }"\\nValue must be part of the URL, which is the application's subdirectory\`
          )
        }`, ``, `rootPath = encodeURI(rootPath)`, ``);
    }

    exports.push(`export default rootPath`);
  }

  return exports.join('\r\n');
};

var _default = importRootPath;
exports.default = _default;
//# sourceMappingURL=$resolve.rootPath.js.map