"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = require("./get-log");

var _process_manager = require("./process_manager");

var _get_entry_options = _interopRequireDefault(require("./get_entry_options"));

var _adjustResolveConfig = _interopRequireDefault(require("./adjust-resolve-config"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _getLog.getLog)('start');

const startMode = resolveConfig => new Promise(async (resolve, reject) => {
  log.debug('Starting "start" mode');
  await (0, _adjustResolveConfig.default)(resolveConfig);
  const {
    activeRuntimeModule,
    runtimeEntry,
    activeRuntimeOptions
  } = (0, _get_entry_options.default)(resolveConfig);
  const resolveLaunchId = Math.floor(Math.random() * 1000000000);
  const server = (0, _process_manager.processRegister)(['node', activeRuntimeModule, runtimeEntry, activeRuntimeOptions], {
    cwd: process.cwd(),
    maxRestarts: 0,
    kill: 5000,
    stdio: 'inherit',
    env: { ...process.env,
      RESOLVE_LAUNCH_ID: resolveLaunchId
    }
  });
  server.on('crash', reject);
  server.start();
  log.debug(`Server process pid: ${server.pid}`);
});

var _default = startMode;
exports.default = _default;
//# sourceMappingURL=start_mode.js.map